Skip to content

Create presenting problem link

Request

Creates a new Presenting Problem Link record. Presenting Problem Link resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
consultIdstringrequired

Identifier of the consult associated with this link.

Example:"123e4567-e89b-12d3-a456-426614174000"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Indicates whether this link is currently active.

Example:true
presentingProblemIdstringrequired

Identifier of the presenting problem associated with this link.

Example:"123e4567-e89b-12d3-a456-426614174000"
presentingProblemLinkIdstring

Unique identifier for this presenting problem link.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/presenting-problem-link' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "consultId": "123e4567-e89b-12d3-a456-426614174000",
    "extensions": {},
    "isActive": true,
    "presentingProblemId": "123e4567-e89b-12d3-a456-426614174000",
    "presentingProblemLinkId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Presenting Problem Link created successfully

Bodyapplication/json
consultIdstringrequired

Identifier of the consult associated with this link.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this link was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Indicates whether this link is currently active.

Example:true
presentingProblemIdstringrequired

Identifier of the presenting problem associated with this link.

Example:"123e4567-e89b-12d3-a456-426614174000"
presentingProblemLinkIdstringrequired

Unique identifier for this presenting problem link.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when this link was last modified.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "consultId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "presentingProblemId": "123e4567-e89b-12d3-a456-426614174000", "presentingProblemLinkId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z" }